libopenmpt  0.5.0-pre.0+r11025
cross-platform C++ and C library to decode tracked music files
libopenmpt

Macros

#define LIBOPENMPT_STREAM_CALLBACKS_BUFFER
 Defined if libopenmpt/libopenmpt_stream_callbacks_buffer.h exists. More...
 
#define LIBOPENMPT_STREAM_CALLBACKS_FD
 Defined if libopenmpt/libopenmpt_stream_callbacks_fd.h exists. More...
 
#define LIBOPENMPT_STREAM_CALLBACKS_FILE
 Defined if libopenmpt/libopenmpt_stream_callbacks_file.h exists. More...
 
#define OPENMPT_API_VERSION_MAJOR   0
 libopenmpt major version number More...
 
#define OPENMPT_API_VERSION_MINOR   5
 libopenmpt minor version number More...
 
#define OPENMPT_API_VERSION_PATCH   0
 libopenmpt patch version number More...
 
#define OPENMPT_API_VERSION_PREREL   "-pre.0"
 libopenmpt pre-release tag More...
 
#define OPENMPT_API_VERSION_IS_PREREL   1
 libopenmpt pre-release flag More...
 
#define OPENMPT_API_VERSION_MAKE(major, minor, patch)   (((major)<<24)|((minor)<<16)|((patch)<<0))
 libopenmpt version number as a single integer value More...
 
#define OPENMPT_API_VERSION   OPENMPT_API_VERSION_MAKE(OPENMPT_API_VERSION_MAJOR, OPENMPT_API_VERSION_MINOR, OPENMPT_API_VERSION_PATCH)
 libopenmpt API version number More...
 
#define OPENMPT_API_VERSION_AT_LEAST(major, minor, patch)   (OPENMPT_API_VERSION >= OPENMPT_API_VERSION_MAKE((major), (minor), (patch)))
 Check whether the libopenmpt API is at least the provided version. More...
 
#define OPENMPT_API_VERSION_BEFORE(major, minor, patch)   (OPENMPT_API_VERSION < OPENMPT_API_VERSION_MAKE((major), (minor), (patch)))
 Check whether the libopenmpt API is before the provided version. More...
 
#define OPENMPT_API_VERSION_STRING   OPENMPT_API_VERSION_STRINGIZE(OPENMPT_API_VERSION_MAJOR) "." OPENMPT_API_VERSION_STRINGIZE(OPENMPT_API_VERSION_MINOR) "." OPENMPT_API_VERSION_STRINGIZE(OPENMPT_API_VERSION_PATCH) OPENMPT_API_VERSION_PREREL
 

Detailed Description

Macro Definition Documentation

◆ LIBOPENMPT_STREAM_CALLBACKS_BUFFER

#define LIBOPENMPT_STREAM_CALLBACKS_BUFFER

◆ LIBOPENMPT_STREAM_CALLBACKS_FD

#define LIBOPENMPT_STREAM_CALLBACKS_FD

Defined if libopenmpt/libopenmpt_stream_callbacks_fd.h exists.

Since
0.3
Remarks
Use the following to check for availability:
#if defined(LIBOPENMPT_STREAM_CALLBACKS_FD) || ((OPENMPT_API_VERSION_MAJOR == 0) && ((OPENMPT_API_VERSION_MINOR == 2) || (OPENMPT_API_VERSION_MINOR == 1)))
#endif

◆ LIBOPENMPT_STREAM_CALLBACKS_FILE

#define LIBOPENMPT_STREAM_CALLBACKS_FILE

Defined if libopenmpt/libopenmpt_stream_callbacks_file.h exists.

Since
0.3
Remarks
Use the following to check for availability:
#if defined(LIBOPENMPT_STREAM_CALLBACKS_FILE) || ((OPENMPT_API_VERSION_MAJOR == 0) && ((OPENMPT_API_VERSION_MINOR == 2) || (OPENMPT_API_VERSION_MINOR == 1)))
#endif

◆ OPENMPT_API_VERSION

libopenmpt API version number

◆ OPENMPT_API_VERSION_AT_LEAST

#define OPENMPT_API_VERSION_AT_LEAST (   major,
  minor,
  patch 
)    (OPENMPT_API_VERSION >= OPENMPT_API_VERSION_MAKE((major), (minor), (patch)))

Check whether the libopenmpt API is at least the provided version.

Since
0.3
Remarks
Use the following shim if you need to support earlier libopenmpt versions:
#if !defined(OPENMPT_API_VERSION_AT_LEAST)
#define OPENMPT_API_VERSION_AT_LEAST(major, minor, patch) (OPENMPT_API_VERSION >= OPENMPT_API_VERSION_MAKE((major), (minor), (patch)))
#endif

◆ OPENMPT_API_VERSION_BEFORE

#define OPENMPT_API_VERSION_BEFORE (   major,
  minor,
  patch 
)    (OPENMPT_API_VERSION < OPENMPT_API_VERSION_MAKE((major), (minor), (patch)))

Check whether the libopenmpt API is before the provided version.

Since
0.3
Remarks
Use the following shim if you need to support earlier libopenmpt versions:
#if !defined(OPENMPT_API_VERSION_BEFORE)
#define OPENMPT_API_VERSION_BEFORE(major, minor, patch) (OPENMPT_API_VERSION < OPENMPT_API_VERSION_MAKE((major), (minor), (patch)))
#endif

◆ OPENMPT_API_VERSION_IS_PREREL

#define OPENMPT_API_VERSION_IS_PREREL   1

libopenmpt pre-release flag

◆ OPENMPT_API_VERSION_MAJOR

#define OPENMPT_API_VERSION_MAJOR   0

libopenmpt major version number

◆ OPENMPT_API_VERSION_MAKE

#define OPENMPT_API_VERSION_MAKE (   major,
  minor,
  patch 
)    (((major)<<24)|((minor)<<16)|((patch)<<0))

libopenmpt version number as a single integer value

Since
0.3
Remarks
Use the following shim if you need to support earlier libopenmpt versions:
#if !defined(OPENMPT_API_VERSION_MAKE)
#define OPENMPT_API_VERSION_MAKE(major, minor, patch) (((major)<<24)|((minor)<<16)|((patch)<<0))
#endif

◆ OPENMPT_API_VERSION_MINOR

#define OPENMPT_API_VERSION_MINOR   5

libopenmpt minor version number

◆ OPENMPT_API_VERSION_PATCH

#define OPENMPT_API_VERSION_PATCH   0

libopenmpt patch version number

◆ OPENMPT_API_VERSION_PREREL

#define OPENMPT_API_VERSION_PREREL   "-pre.0"

libopenmpt pre-release tag

◆ OPENMPT_API_VERSION_STRING

#define OPENMPT_API_VERSION_STRING   OPENMPT_API_VERSION_STRINGIZE(OPENMPT_API_VERSION_MAJOR) "." OPENMPT_API_VERSION_STRINGIZE(OPENMPT_API_VERSION_MINOR) "." OPENMPT_API_VERSION_STRINGIZE(OPENMPT_API_VERSION_PATCH) OPENMPT_API_VERSION_PREREL